Skip to main content
POST
/
api
/
ProjectRole
Create a Project Role
curl --request POST \
  --url https://api.virtuoussoftware.com/api/ProjectRole \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectDesignationId": "<integer>",
  "contactId": "<integer>",
  "projectRoleTypeId": "<integer>"
}
'
{
  "id": "<integer>",
  "contactId": "<integer>",
  "contactName": "<string>",
  "projectDesignationId": "<integer>",
  "projectDesignationName": "<string>",
  "projectRoleTypeId": "<integer>",
  "projectRoleType": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
projectDesignationId
string
contactId
string
projectRoleTypeId
string

Response

OK

id
string
contactId
string
contactName
string
projectDesignationId
string
projectDesignationName
string
projectRoleTypeId
string
projectRoleType
string
createDateTimeUtc
string
createdByUser
string
modifiedDateTimeUtc
string
modifiedByUser
string
Last modified on June 5, 2026